KTextEditor::HighlightingInterface Class Referenceabstract

`#include <highlightinginterface.h>`

## Public Member Functions

unsigned int | highlightingInterfaceNumber () const
virtual unsigned int | hlMode ()=0
virtual bool | setHlMode (unsigned int mode)=0
virtual unsigned int | hlModeCount ()=0
virtual QString | hlModeName (unsigned int mode)=0
virtual QString | hlModeSectionName (unsigned int mode)=0
virtual void | hlChanged ()=0

## Protected Member Functions

void | setHighlightingInterfaceDCOPSuffix (const QCString &suffix)

## Friends

class | PrivateHighlightingInterface

## Detailed Description

This is an interface for syntax highlighting of a Document.

Definition at line 34 of file highlightinginterface.h.

## Member Function Documentation

virtual unsigned int KTextEditor::HighlightingInterface::hlMode | ( |  | ) |

pure virtual

returns the current active highlighting mode

virtual unsigned int KTextEditor::HighlightingInterface::hlModeCount | ( |  | ) |

pure virtual

returns the number of available highlightings

virtual QString KTextEditor::HighlightingInterface::hlModeName | ( | unsigned int | mode | ) |

pure virtual

returns the name of the highlighting with number "mode"

virtual QString KTextEditor::HighlightingInterface::hlModeSectionName | ( | unsigned int | mode | ) |

pure virtual

returns the sectionname of the highlighting with number "mode"

virtual bool KTextEditor::HighlightingInterface::setHlMode | ( | unsigned int | mode | ) |

pure virtual

set the current active highlighting mode

The documentation for this class was generated from the following files:

- highlightinginterface.h
- highlightinginterface.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys